export declare const enum BlockchainMessageType {
    getblockcount = "getblockcount",
    getfiltercount = "getfiltercount",
    getfilterheadercount = "getfilterheadercount",
    getbestblockhash = "getbestblockhash",
    getblockheader = "getblockheader",
    getinfo = "getinfo"
}
export interface BlockHeaderResponse {
    raw: string;
    hash: string;
    confirmations: number;
    height: number;
    version: number;
    versionHex: string;
    merkleroot: string;
    time: number;
    nonce: number;
    bits: string;
    difficulty: number;
    chainwork: string;
    previousblockhash: string;
}
export interface GetInfoResponse {
    network: string;
    blockHeight: number;
    blockHash: string;
    torStarted: boolean;
    isinitialblockdownload: boolean;
    syncing: boolean;
}
export interface CompactFilterHeader {
    hash: string;
    filterHash: string;
    previousFilterHeader: string;
    blockHash: string;
    height: number;
}
export interface CompactFilter {
    hash: string;
    filterType: string;
    height: number;
    blockHash: string;
    compactFilterBytes: string;
}
//# sourceMappingURL=blockchain-types.d.ts.map